RMAP(1)

NAME
rmap - Map portions of the earth from long/lat info

SYNOPSIS

  rmap --cities --zoom=20 --category=all --yrot=-120
       --xrot 35 --continent=all --outfile=south_california.gif

DESCRIPTION
This manual page documents the utility rmap. rmap is a small utility that goes against a custom format of the CIA's world data bank II global vector information to generate images of the earth from either a distance fairly zoomed in. There are a variety of options to control the display of the image. The format of the image depends on the version of libgd that you have. Older versions generate gifs, but due to copyright issues, the newer ones generate png or jpegs.

OPTIONS
Zoom level of the earth. Deafault is 1 which is the whole earth. Rotate the earth around the x-axis (Latitude) in degrees. Rotate the earth around the y-axis (Longitude) in degrees. Rotate the earth around the z-axis in degrees. The path to the colorfile which defines the colors various things will be displayed in, or if they will be displayed at all. If the value is not specified, the file ~/.rmaprc will be checked, and then the default file (rmap.colors). The location of this file is specified at compile time based on the either the --prefix or --datadir options to configure. The path to the datafile. The default location of this file is specified at compile time based on the either the --prefix or --datadir options to configure. The path of the image to be generated. If none is specified, then EarthImage will be generated in the current working directory. Either the word `all' or a list of comma seperated numbers where 1=Africa, 2=Asia, 3=Europe, 4=N. America, 5=S. America. If no option is specified then `all' is assumed. Either the word `all' or a list of comma seperated numbers where 1=US State Boundaries, 2=Rivers, 3=International Boundaries, 4=Coasts, Islands, Lakes. If no option is specified then `all' is assumed. The height of the image to generate, in pixles. The width of the image to generate, in pixles. Do not display gridlines ontop of the earth. By default they are drawn in red, spaced at 15 degrees. Overlay all applicable city names (from the file city.h) on top of the image. Display a brief help page, then terminate. Display the version of code.

AUTHOR
Reza Naima <reza@reza.net>

BUGS
This is the first released version, so there are bound to be bugs. Also, as always, beware of buffer overflow attacks if you use this in a web-based application.